BackportsList

Differences between revisions 1 and 36 (spanning 35 versions)
Revision 1 as of 2010-11-24 02:02:53
Size: 7875
Editor: conr-adsl-dhcp-64-92-4-194
Comment:
Revision 36 as of 2011-03-05 15:57:39
Size: 10154
Editor: conr-adsl-dhcp-64-92-4-194
Comment:
Deletions are marked like this. Additions are marked like this.
Line 3: Line 3:
At this time we will only be focusing on backporting to Ubuntu Studio 10.10 (LTS) Lucid Lynx. At this time we will only be focusing on backporting to Ubuntu Studio 10.04 (LTS) Lucid Lynx.
Line 5: Line 5:
=== Task Matrix for Lucid, Maverick & Natty ===
||<-7 #cccccc :> '''From Ubuntu Studio 10.10 Maverick Meerkat''' ||
||<rowbgcolor="#cccccc"> '''Package Name''' || '''Fixed by Debian Merge''' || '''Task''' || '''Responsible''' || '''Bug No.''' || '''Completed''' || '''Comments''' ||
||<rowbgcolor="#CCFFCC"> invada-studio-plugins-lv2 || yes || none || n/a || n/a || YES || ||
||<rowbgcolor="#CCFFCC"> liblv2dynparam1-dev || yes || none || n/a || n/a || YES || ||
||<rowbgcolor="#CCFFCC"> liblv2dynparamhost1-1 || yes || none || n/a || n/a || YES || ||
||<rowbgcolor="#CCFFCC"> liblv2dynparamplugin1-0 || yes || none || n/a || n/a || YES || ||
||<rowbgcolor="#CCFFCC"> libslv2-9 || yes || none || n/a || [[https://bugs.launchpad.net/ubuntustudio/+bug/195039|LP: 195039]] || YES || ||
||<rowbgcolor="#CCFFCC"> libslv2-dev || yes || none || n/a || n/a || YES || ||
||<rowbgcolor="#CCFFCC"> lv2core || '''NO''' || requestsync || ScottLavender || [[https://bugs.launchpad.net/ubuntu/+source/lv2core/+bug/479703|LP: 479703]] || YES || ||
||<rowbgcolor="#CCFFCC"> slv2-jack || yes || none || n/a || n/a || YES || ||
||<rowbgcolor="#CCFFCC"> CALF plugin || no || compile with lv2 support || EricHedekar || n/a || YES || ||
||<rowbgcolor=" #CCFFCC"> Ardour-2.8.6 || no || request sync from Unstable || ScottLavender || [[https://bugs.launchpad.net/ubuntu/+source/ardour/+bug/514131|LP: 514131]] || YES || ||
||<rowbgcolor=" #CCFFCC"> GStreamer || ? || compile for lv2 support || EricHedekar || [[https://bugs.launchpad.net/ubuntu/+source/gst-plugins-bad0.10/+bug/511334|511334]] || YES || ||
||<rowbgcolor=" #CCFFCC"> QTractor || ? || compile for lv2 support || ? || ? || YES || Fixed in Lucid ||
||<rowbgcolor=" #CCFFCC"> [[http://home.gna.org/zynjacku/|zynjacku (LV2 synth host)]] || no || none || AlessioTreglia ScottLavender || [[https://bugs.launchpad.net/ubuntustudio/+bug/183111|LP: 183111]] || YES || Now in Maverick ||
||<rowbgcolor=" #CCFFCC"> [[http://home.gna.org/zyn/|zyn (LV2 soft synth)]] || no || none || AlessioTreglia falkTX || [[https://bugs.launchpad.net/ubuntustudio/+bug/183113|LP: 183113]] [[https://bugs.launchpad.net/ubuntustudio/+bug/183114|LP: 183114]] || YES || ||
||<rowbgcolor=" #CCFFCC"> [[http://plugin.org.uk/lv2/|SWH LV2 plugins]] || no || none || falkTX AlessioTreglia || [[https://bugs.launchpad.net/ubuntustudio/+bug/496934|LP: 496934]] [[http://bugs.debian.org/523518|Debian bug#523518]]|| YES || ||
||<rowbgcolor=" #CCFFCC"> [[http://ll-plugins.nongnu.org/hacking.html|lv2-c++-tools lv2 plugin library]] || no || none || falkTX AlessioTreglia || [[https://bugs.launchpad.net/ubuntustudio/+bug/371798|LP: 371798]] || YES || Available in Maverick ||
||<rowbgcolor=" #CCFFCC"> [[https://gna.org/projects/lv2vocoder|lv2vocoder]] || no || none || AlessioTreglia || [[http://bugs.debian.org/581057|Debian bug#581057]] || YES || Available in Maverick ||
||<rowbgcolor=" #E47A7A"> [[http://ll-plugins.nongnu.org/|ll-plugins]] || no || needs packaging || ? || [[https://bugs.launchpad.net/ubuntustudio/+bug/183114|LP: 183114]] || no || REVU? - No ||
||<rowbgcolor=" #E47A7A"> [[http://drobilla.net/software/ingen/|ingen]] || no || needs packaging || ? || [[https://bugs.launchpad.net/ubuntustudio/+bug/177673|LP: 177673]] || no || REVU? - No ||
||<rowbgcolor=" #CCFFCC"> [[http://confluence.atheme.org/display/NA/NASPRO|NASPRO]] || ? || none || AlessioTreglia || [[https://bugs.launchpad.net/ubuntu/+bug/475853|LP: 475853]] || YES || ||
||<rowbgcolor=" #E47A7A"> [[http://nedko.arnaudov.name/soft/ssg/|SSG]] || ? || needs packaging || ? || ? || no || REVU? - No ||
||<rowbgcolor=" #E47A7A"> [[http://eq10q.sourceforge.net/|EQ10Q]] || ? || needs packaging || ? || ? || no || Blocked due to [[http://sourceforge.net/support/tracker.php?aid=3011576|this issue]] ||
||<rowbgcolor=" #E47A7A"> Audacity || ? || compile for lv2 support || ? || ? || Won't Fix for Luicd || According to [[http://sourceforge.net/mailarchive/forum.php?thread_name=1260313554.6705.5.camel%40localhost&forum_name=audacity-devel|this developer]] the LV2 support is disabled by default, and in an alpha-quality state ||
||<rowbgcolor="#CCFFCC"> [[http://nedko.arnaudov.name/soft/lv2fil/trac/|lv2fil]] || no || none || AlessioTreglia || [[http://bugs.launchpad.net/bugs/599072|LP: #537751]] || YES || ||
||<rowbgcolor="#CCFFCC"> [[http://hyperglitch.com/dev/VocProc|VocProc]] || no || none || AlessioTreglia || [[https://bugs.launchpad.net/bugs/599101|LP: #599101]] || YES || ||
||<rowbgcolor="#CCFFCC"> [[http://gabe.is-a-geek.org/composite/|composite]] || no || none || AlessioTreglia || [[http://bugs.debian.org/588289|Debian bug#588289]] || YES || ||
||<rowbgcolor=" #FFFFCC"> [[http://svn.drobilla.net/lad/trunk/mda-lv2/|mda-lv2]] || ? || needs packaging || AlessioTreglia || [[http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=602572|Debian bug#602572]] || no || In progress ||
https://wiki.ubuntu.com/UbuntuStudio/BackportsHowToHelp
Line 36: Line 7:
More details on LV2 can be found here: http://lv2plug.in/ __Status__<<BR>>
Use the following indicators for the status column:<<BR>>
'''not started''' - indicates that the backport process has not started<<BR>>
'''started''' - indicated that someone has started backporting, helps prevent duplication of effort<<BR>>
'''ready to test''' - indicates it has been built for Lucid, moved to the PPA, and is ready for testing<<BR>>
'''tested#1''' - indicates that one person has tested the package<<BR>>
'''tested#2''' - indicates that two persons have tested the package<<BR>>
'''ready''' - indicates that a bug has been filed and is awaiting backporting<<BR>>
Line 38: Line 16:
== Available Packages in Debian Squeeze (testing) ==
|| '''Package Name''' || '''Version''' || '''Description''' ||
|| [[http://packages.debian.org/squeeze/invada-studio-plugins-lv2|invada-studio-plugins-lv2]] || 1.2.0-1 || a set of LV2 audio plugins ||
|| [[http://packages.debian.org/squeeze/liblv2dynparam1-dev|liblv2dynparam1-dev]] || 2-2 || LV2 plugin interface extension ||
|| [[http://packages.debian.org/squeeze/liblv2dynparamhost1-1|liblv2dynparamhost1-1]] || 2-2 || LV2 plugin interface extension - host ||
|| [[http://packages.debian.org/squeeze/liblv2dynparamplugin1-0|liblv2dynparamplugin1-0]] || 2-2 || LV2 plugin interface extension - plugin ||
|| [[http://packages.debian.org/squeeze/libslv2-9|libslv2-9]] || 0.6.6-2 || A library for simple use of LV2 plugins ||
|| [[http://packages.debian.org/squeeze/libslv2-dev|libslv2-dev]] || 0.6.6-2 || Development files (headers) for SLV2 library ||
|| [[http://packages.debian.org/squeeze/lv2core|lv2core]] || 3.0-2 || The LV2 audio plugin specification ||
|| [[http://packages.debian.org/squeeze/slv2-doc|slv2-doc]] || 0.6.6-2 || Documentation for SLV2 ||
|| [[http://packages.debian.org/squeeze/slv2-jack|slv2-jack]] || 0.6.6-2 || Jack support for LV2 plugins ||
== Backports from Maverick Meerkat 10.10 ==
||<-7 #FFCC99 :> '''Audio Backports''' ||
||<rowbgcolor="#cccccc"> '''Package''' || '''Lucid Version''' || '''Maverick Version''' || '''Responsible''' || '''Status''' || '''Bug #'''|| '''Comments''' ||
||<rowbgcolor="#FFFFCC"> alsa-tools || 1.0.22 || 1.0.23 || n/a || not started || Bug #xxxxxx || n/a ||
||<rowbgcolor="#FFFFCC"> ardour || 2.8.6 || 2.8.11 || n/a || not started || Bug #xxxxxx || n/a ||
||<rowbgcolor="#FFFFCC"> audacious || 2.3 || 2.4.0 || n/a || not started || Bug #xxxxxx || n/a ||
||<rowbgcolor="#FFFFCC"> audacious-plugins || 2.3 || 2.4.0 || n/a || not started || Bug #xxxxxx || n/a ||
||<rowbgcolor="#FFFFCC"> csound || 5.10 || 5.12 || n/a || not started || Bug #xxxxxx || n/a ||
||<rowbgcolor="#FFFFCC"> fluid-soundfont-gm || 3.1-4 || 3.1-5 || n/a || not started || Bug #xxxxxx || n/a ||
||<rowbgcolor="#FFFFCC"> fluidsynth || 1.1.1 || 1.1.2 || n/a || not started || Bug #xxxxxx || might backport from natty (1.1.3) ||
||<rowbgcolor="#FFFFCC"> gcdmaster || 1.2.2 || 1.2.3 || n/a || not started || Bug #xxxxxx || n/a ||
||<rowbgcolor="#FFFFCC"> hydrogen || 0.9.4 || 0.9.4.1 || n/a || not started || Bug #xxxxxx || might use 0.9.4.1 due to liblash2->liblash3 transition ||
||<rowbgcolor="#E47A7A"> JACK2 || - || 1.95 || n/a || not started || Bug #xxxxxx || not currently in lucid - MIGHT NOT WANT TO BACKPORT ||
||<rowbgcolor="#FFFFCC"> jamin || 0.95.0 || 0.97.14 || n/a || not started || Bug #xxxxxx || n/a ||
||<rowbgcolor="#FFFFCC"> lash || 0.5.4 || 0.6.0 || n/a || not started || Bug #xxxxxx || n/a ||
||<rowbgcolor="#FFFFCC"> libffado || 2.0.0 || 2.0.1 || n/a || not started || Bug #xxxxxx || n/a ||
||<rowbgcolor="#E47A7A"> mixxx || 1.7.2 || 1.8.0 || n/a || not started || Bug #xxxxxx || MISSING 'libqtwebkit-dev' DEPENDENCY IN LUCID ||
||<rowbgcolor="#FFFFCC"> musescore || 0.9.6 || 0.9.6.3 || n/a || not started || Bug #xxxxxx || n/a ||
||<rowbgcolor="#FFFFCC"> patchage || 0.2.3 || 0.4.4 || n/a || not started || Bug #xxxxxx || n/a ||
||<rowbgcolor="#FFFFCC"> phasex || - || 0.12.0 || n/a || not started || Bug #xxxxxx || not currently in lucid ||
||<rowbgcolor="#CCFFCC"> qjackctl || 0.3.4 || 0.3.6 || n/a || '''ready to test''' || [[https://bugs.launchpad.net/lucid-backports/+bug/681873|Bug #681873]] || n/a ||
||<rowbgcolor="#CCFFCC"> qsynth || 0.3.4 || 0.3.5 || n/a || '''ready to test''' || [[https://bugs.launchpad.net/lucid-backports/+bug/729430|Bug #729430]] || n/a ||
||<rowbgcolor="#CCFFCC"> qtractor || 0.4.5 || 0.4.6 || n/a || started || Bug #xxxxxx || might backport from natty (0.4.7) ||
||<rowbgcolor="#FFFFCC"> rakarrack || 0.3.0 || 0.5.8 || n/a || not started || [[https://bugs.launchpad.net/lucid-backports/+bug/729450|Bug #729450 || n/a ||
||<rowbgcolor="#CCFFCC"> yoshimi || - || 0.058.1 || n/a || '''ready to test''' || [[https://bugs.launchpad.net/lucid-backports/+bug/729450|Bug #729450]] || not currently in lucid ||
<<BR>><<BR>>
Line 50: Line 43:
== Ubuntu Packages ==
|| '''Package Name''' || '''Version''' || '''Description''' ||
|| [[http://packages.ubuntu.com/karmic/calf-plugins|CALF plugin]] || 0.0.18.5-0ubuntu1 || a set of LV2 audio plugins ||
Line 54: Line 44:
== Launchpad Bugs ==
|| '''LP: bugnumber''' || '''Package''' || '''Description''' || '''Fixed by Debian Merging?''' ||
|| [[https://bugs.launchpad.net/ubuntustudio/+bug/183111|LP: 183111]] || [[http://home.gna.org/zynjacku/|zynjacku (LV2 synth host)]] || needs packaging || '''NO''' ||
|| [[https://bugs.launchpad.net/ubuntustudio/+bug/183113|LP: 183113]] || [[http://home.gna.org/zyn/|zyn (LV2 soft synth)]] || needs packaging || '''NO''' ||
|| [[https://bugs.launchpad.net/ubuntustudio/+bug/183114|LP: 183114]] || [[http://plugin.org.uk/lv2/|SWH plugins]] || needs packaging || '''NO''' ||
|| [[https://bugs.launchpad.net/ubuntustudio/+bug/183114|LP: 183114]] || [[http://ll-plugins.nongnu.org/|ll-plugins]] || needs packaging || '''NO''' ||
|| [[https://bugs.launchpad.net/ubuntustudio/+bug/183114|LP: 183114]] || [[http://home.gna.org/zyn/|Szynadd ]] || needs packaging || '''NO''' ||
|| [[https://bugs.launchpad.net/ubuntu/+bug/371798|LP: 371798]] || [[http://freshmeat.net/projects/lv2-c-tools|lv2-c++-tools lv2 plugin library]] || needs packaging || '''NO''' ||
|| [[https://bugs.launchpad.net/ubuntustudio/+bug/177673|LP: 177673]] || [[http://wiki.drobilla.net/Ingen|ingen]] || needs packaging || '''NO''' ||
||<-7 #FFCC99 :> '''Audio-Plugin Backports''' ||
||<rowbgcolor="#cccccc"> '''Package''' || '''Lucid Version''' || '''Maverick Version''' || '''Responsible''' || '''Status''' || '''Bug #'''|| '''Comments''' ||
||<rowbgcolor="#FFFFCC"> aeolus || 0.8.2 || 0.8.4 || n/a || not started || Bug #xxxxxx || n/a ||
||<rowbgcolor="#FFFFCC"> dssi || 0.9.1 || 1.0.0 || n/a || not started || Bug #xxxxxx || might backport from natty (1.1.0) ||
||<rowbgcolor="#FFFFCC"> fluidsynth-dssi || 0.9.1 || 1.0.0 || n/a || not started || Bug #xxxxxx || n/a ||
||<rowbgcolor="#FFFFCC"> hexter || 0.6.1 || 0.6.2 || n/a || not started || Bug #xxxxxx || n/a ||
||<rowbgcolor="#FFFFCC"> mcp-plugins || 0.3.0 || 0.4.0 || n/a || not started || Bug #xxxxxx || n/a ||
||<rowbgcolor="#FFFFCC"> xsynth-dssi || 0.9.0 || 0.9.2 || n/a || not started || Bug #xxxxxx || might backport from natty (0.9.4) ||
<<BR>><<BR>>


||<-7 #FFCC99 :> '''Graphics Backports''' ||
||<rowbgcolor="#cccccc"> '''Package''' || '''Lucid Version''' || '''Maverick Version''' || '''Responsible''' || '''Status''' || '''Bug #'''|| '''Comments''' ||
||<rowbgcolor="#FFFFCC"> gimp || 2.6.8 || 2.6.10 || n/a || not started || Bug #xxxxxx || might backport from natty (2.6.11) ||
||<rowbgcolor="#FFFFCC"> gimp-plugin-registry || 2.3 || 3.2 || n/a || not started || Bug #xxxxxx || might backport from natty (3.5.1) ||
||<rowbgcolor="#CCFFCC"> inkscape || 0.47.0 || 0.48.0 || n/a || started || [[https://bugs.launchpad.net/lucid-backports/+bug/729474|Bug #729474]] || n/a ||
||<rowbgcolor="#FFFFCC"> xsane || 0.996 || 0.997 || n/a || not started || Bug #xxxxxx || n/a ||
<<BR>><<BR>>


||<-7 #FFCC99 :> '''Video Backports''' ||
||<rowbgcolor="#cccccc"> '''Package''' || '''Lucid Version''' || '''Maverick Version''' || '''Responsible''' || '''Status''' || '''Bug #'''|| '''Comments''' ||
||<rowbgcolor="#E47A7A"> ffmpeg || 4:0.5.1 || 4:0.6 || n/a || not started || Bug #xxxxxx || MISSING 'libva-dev' DEPENDENCY IN LUCID ||
||<rowbgcolor="#CCFFCC"> openshot|| 1.1.3 || 1.2.2 || n/a || started || [[https://bugs.launchpad.net/lucid-backports/+bug/729488|Bug #729488]] || n/a ||
<<BR>><<BR>>


||<-6 #FFCC99 :> '''Will Not Backport''' ||
||<rowbgcolor="#cccccc"> '''Package''' || '''Lucid Version''' || '''Maverick Version''' || '''Responsible''' || '''Status''' || '''Comments''' ||
||<rowbgcolor="#E47A7A"> audacity || 1.3.12 || 1.3.12 || n/a || will not backport || same version ||
||<rowbgcolor="#E47A7A"> JACK1 || 0.118 || 0.118 || n/a || will not backport || same version ||
||<rowbgcolor="#E47A7A"> jack-tools || 0.0.2 || 0.0.2 || n/a || will not backport || same version ||
||<rowbgcolor="#E47A7A"> lilypond || 2.12.3 || 2.12.3 || n/a || will not backport || same version ||
||<rowbgcolor="#E47A7A"> meterbridge || 0.9.2 || 0.9.2 || n/a || will not backport || same version ||
||<rowbgcolor="#E47A7A"> qamix || 0.0.7 || 0.0.7 || n/a || will not backport || same version ||
||<rowbgcolor="#E47A7A"> seq24 || 0.9.0 || 0.9.0 || n/a || will not backport || same version ||
||<rowbgcolor="#E47A7A"> sooperlooper || 1.6.14 || 1.6.14 || n/a || will not backport || same version ||
||<rowbgcolor="#E47A7A"> specimen || 0.5.2 || 0.5.2 || n/a || will not backport || same version ||
||<rowbgcolor="#E47A7A"> terminatorx || 3.82 || 3.82 || n/a || will not backport || same version ||
||<rowbgcolor="#E47A7A"> whysynth || 20090403 || 20090403 || n/a || will not backport || same version ||
||<rowbgcolor="#E47A7A"> xwax || 0.7 || 0.7 || n/a || will not backport || same version ||
||<rowbgcolor="#E47A7A"> blop || 0.2.8 || 0.2.8 || n/a || will not backport || same version ||
||<rowbgcolor="#E47A7A"> caps || 0.4.2 || 0.4.2 || n/a || will not backport || same version ||
||<rowbgcolor="#E47A7A"> calf-plugins || 0.0.18.5 || 0.0.18.5 || n/a || will not backport || same version ||
||<rowbgcolor="#E47A7A"> cmt || 1.16 || 1.16 || n/a || will not backport || same version ||
||<rowbgcolor="#E47A7A"> fil-plugins || 0.3.0 || 0.3.0 || n/a || will not backport || same version ||
||<rowbgcolor="#E47A7A"> omins || 0.2.0 || 0.2.0 || n/a || will not backport || same version ||
||<rowbgcolor="#E47A7A"> swh-plugins || 0.4.15 || 0.4.15 || n/a || will not backport || same version ||
||<rowbgcolor="#E47A7A"> tap-plugins || 0.7.1 || 0.7.1 || n/a || will not backport || same version ||
||<rowbgcolor="#E47A7A"> zynaddsubfx || 2.4.0 || 2.4.0 || n/a || will not backport || same version ||
||<rowbgcolor="#E47A7A"> blender || 2.49.2 || 2.49.2 || n/a || will not backport || same version ||
||<rowbgcolor="#E47A7A"> gimp-data-extras|| 2.0.1 || 2.0.1 || n/a || will not backport || same version ||
||<rowbgcolor="#E47A7A"> gimp-gap || 2.6.0|| 2.6.0 || n/a || will not backport || same version ||
||<rowbgcolor="#E47A7A"> gim-ufraw || 0.16 || 0.16 || n/a || will not backport || same version ||
<<BR>><<BR>>


== Backports from Natty ==
||<-7 #FFCC99 :> '''All Possible Backports from Natty Narwhal 11.04''' ||
||<rowbgcolor="#cccccc"> '''Package''' || '''Lucid Version''' || '''Natty Version''' || '''Responsible''' || '''Status''' || '''Bug #'''|| '''Comments''' ||
||<rowbgcolor="#FFFFCC"> fluidsynth || 1.1.1 || 1.1.3 || n/a || not started || Bug #xxxxxx || might backport from maverick (1.1.2) ||
||<rowbgcolor="#FFFFCC"> lmms || 0.4.5 || 0.4.7 || n/a || not started || Bug #xxxxxx || n/a ||
||<rowbgcolor="#FFFFCC"> mixxx || 1.7.2 || 1.8.1 || n/a || not started || Bug #xxxxxx || might backport from maverick (1.8.0) ||
||<rowbgcolor="#FFFFCC"> guitarix || - || 0.10.0 || n/a || not started || Bug #xxxxxx || not currently in lucid ||
||<rowbgcolor="#FFFFCC"> qtractor || 0.4.5 || 0.4.7 || n/a || not started || Bug #xxxxxx || might backport from maverick (0.4.6) ||
||<rowbgcolor="#FFFFCC"> dssi || 0.9.1 || 1.1.0 || n/a || not started || Bug #xxxxxx || might backport from maverick (1.0.0) ||
||<rowbgcolor="#FFFFCC"> xsynth-dssi || 0.9.0 || 0.9.4 || n/a || not started || Bug #xxxxxx || might backport from maverick (0.9.2) ||
||<rowbgcolor="#FFFFCC"> gimp || 2.6.8 || 2.6.11 || n/a || not started || Bug #xxxxxx || might backport from maverick (2.6.10) ||
||<rowbgcolor="#FFFFCC"> gimp-plugin-registry || 2.3 || 3.5.1 || n/a || not started || Bug #xxxxxx || might backport from maverick (3.2) ||

This page will be used to develop a comprehensive backporting plan using a Ubuntu Studio PPA (maybe ubuntustudio-backports-testing).

At this time we will only be focusing on backporting to Ubuntu Studio 10.04 (LTS) Lucid Lynx.

https://wiki.ubuntu.com/UbuntuStudio/BackportsHowToHelp

Status
Use the following indicators for the status column:
not started - indicates that the backport process has not started
started - indicated that someone has started backporting, helps prevent duplication of effort
ready to test - indicates it has been built for Lucid, moved to the PPA, and is ready for testing
tested#1 - indicates that one person has tested the package
tested#2 - indicates that two persons have tested the package
ready - indicates that a bug has been filed and is awaiting backporting

Backports from Maverick Meerkat 10.10

Audio Backports

Package

Lucid Version

Maverick Version

Responsible

Status

Bug #

Comments

alsa-tools

1.0.22

1.0.23

n/a

not started

Bug #xxxxxx

n/a

ardour

2.8.6

2.8.11

n/a

not started

Bug #xxxxxx

n/a

audacious

2.3

2.4.0

n/a

not started

Bug #xxxxxx

n/a

audacious-plugins

2.3

2.4.0

n/a

not started

Bug #xxxxxx

n/a

csound

5.10

5.12

n/a

not started

Bug #xxxxxx

n/a

fluid-soundfont-gm

3.1-4

3.1-5

n/a

not started

Bug #xxxxxx

n/a

fluidsynth

1.1.1

1.1.2

n/a

not started

Bug #xxxxxx

might backport from natty (1.1.3)

gcdmaster

1.2.2

1.2.3

n/a

not started

Bug #xxxxxx

n/a

hydrogen

0.9.4

0.9.4.1

n/a

not started

Bug #xxxxxx

might use 0.9.4.1 due to liblash2->liblash3 transition

JACK2

-

1.95

n/a

not started

Bug #xxxxxx

not currently in lucid - MIGHT NOT WANT TO BACKPORT

jamin

0.95.0

0.97.14

n/a

not started

Bug #xxxxxx

n/a

lash

0.5.4

0.6.0

n/a

not started

Bug #xxxxxx

n/a

libffado

2.0.0

2.0.1

n/a

not started

Bug #xxxxxx

n/a

mixxx

1.7.2

1.8.0

n/a

not started

Bug #xxxxxx

MISSING 'libqtwebkit-dev' DEPENDENCY IN LUCID

musescore

0.9.6

0.9.6.3

n/a

not started

Bug #xxxxxx

n/a

patchage

0.2.3

0.4.4

n/a

not started

Bug #xxxxxx

n/a

phasex

-

0.12.0

n/a

not started

Bug #xxxxxx

not currently in lucid

qjackctl

0.3.4

0.3.6

n/a

ready to test

Bug #681873

n/a

qsynth

0.3.4

0.3.5

n/a

ready to test

Bug #729430

n/a

qtractor

0.4.5

0.4.6

n/a

started

Bug #xxxxxx

might backport from natty (0.4.7)

rakarrack

0.3.0

0.5.8

n/a

not started

[[https://bugs.launchpad.net/lucid-backports/+bug/729450|Bug #729450

n/a

yoshimi

-

0.058.1

n/a

ready to test

Bug #729450

not currently in lucid



Audio-Plugin Backports

Package

Lucid Version

Maverick Version

Responsible

Status

Bug #

Comments

aeolus

0.8.2

0.8.4

n/a

not started

Bug #xxxxxx

n/a

dssi

0.9.1

1.0.0

n/a

not started

Bug #xxxxxx

might backport from natty (1.1.0)

fluidsynth-dssi

0.9.1

1.0.0

n/a

not started

Bug #xxxxxx

n/a

hexter

0.6.1

0.6.2

n/a

not started

Bug #xxxxxx

n/a

mcp-plugins

0.3.0

0.4.0

n/a

not started

Bug #xxxxxx

n/a

xsynth-dssi

0.9.0

0.9.2

n/a

not started

Bug #xxxxxx

might backport from natty (0.9.4)



Graphics Backports

Package

Lucid Version

Maverick Version

Responsible

Status

Bug #

Comments

gimp

2.6.8

2.6.10

n/a

not started

Bug #xxxxxx

might backport from natty (2.6.11)

gimp-plugin-registry

2.3

3.2

n/a

not started

Bug #xxxxxx

might backport from natty (3.5.1)

inkscape

0.47.0

0.48.0

n/a

started

Bug #729474

n/a

xsane

0.996

0.997

n/a

not started

Bug #xxxxxx

n/a



Video Backports

Package

Lucid Version

Maverick Version

Responsible

Status

Bug #

Comments

ffmpeg

4:0.5.1

4:0.6

n/a

not started

Bug #xxxxxx

MISSING 'libva-dev' DEPENDENCY IN LUCID

openshot

1.1.3

1.2.2

n/a

started

Bug #729488

n/a



Will Not Backport

Package

Lucid Version

Maverick Version

Responsible

Status

Comments

audacity

1.3.12

1.3.12

n/a

will not backport

same version

JACK1

0.118

0.118

n/a

will not backport

same version

jack-tools

0.0.2

0.0.2

n/a

will not backport

same version

lilypond

2.12.3

2.12.3

n/a

will not backport

same version

meterbridge

0.9.2

0.9.2

n/a

will not backport

same version

qamix

0.0.7

0.0.7

n/a

will not backport

same version

seq24

0.9.0

0.9.0

n/a

will not backport

same version

sooperlooper

1.6.14

1.6.14

n/a

will not backport

same version

specimen

0.5.2

0.5.2

n/a

will not backport

same version

terminatorx

3.82

3.82

n/a

will not backport

same version

whysynth

20090403

20090403

n/a

will not backport

same version

xwax

0.7

0.7

n/a

will not backport

same version

blop

0.2.8

0.2.8

n/a

will not backport

same version

caps

0.4.2

0.4.2

n/a

will not backport

same version

calf-plugins

0.0.18.5

0.0.18.5

n/a

will not backport

same version

cmt

1.16

1.16

n/a

will not backport

same version

fil-plugins

0.3.0

0.3.0

n/a

will not backport

same version

omins

0.2.0

0.2.0

n/a

will not backport

same version

swh-plugins

0.4.15

0.4.15

n/a

will not backport

same version

tap-plugins

0.7.1

0.7.1

n/a

will not backport

same version

zynaddsubfx

2.4.0

2.4.0

n/a

will not backport

same version

blender

2.49.2

2.49.2

n/a

will not backport

same version

gimp-data-extras

2.0.1

2.0.1

n/a

will not backport

same version

gimp-gap

2.6.0

2.6.0

n/a

will not backport

same version

gim-ufraw

0.16

0.16

n/a

will not backport

same version



Backports from Natty

All Possible Backports from Natty Narwhal 11.04

Package

Lucid Version

Natty Version

Responsible

Status

Bug #

Comments

fluidsynth

1.1.1

1.1.3

n/a

not started

Bug #xxxxxx

might backport from maverick (1.1.2)

lmms

0.4.5

0.4.7

n/a

not started

Bug #xxxxxx

n/a

mixxx

1.7.2

1.8.1

n/a

not started

Bug #xxxxxx

might backport from maverick (1.8.0)

guitarix

-

0.10.0

n/a

not started

Bug #xxxxxx

not currently in lucid

qtractor

0.4.5

0.4.7

n/a

not started

Bug #xxxxxx

might backport from maverick (0.4.6)

dssi

0.9.1

1.1.0

n/a

not started

Bug #xxxxxx

might backport from maverick (1.0.0)

xsynth-dssi

0.9.0

0.9.4

n/a

not started

Bug #xxxxxx

might backport from maverick (0.9.2)

gimp

2.6.8

2.6.11

n/a

not started

Bug #xxxxxx

might backport from maverick (2.6.10)

gimp-plugin-registry

2.3

3.5.1

n/a

not started

Bug #xxxxxx

might backport from maverick (3.2)

UbuntuStudio/BackportsList (last edited 2016-06-28 17:30:05 by rosco2)